# sfepy.discrete.dg.limiters module

Limiters for high order DG methods

class sfepy.discrete.dg.limiters.ComposedLimiter(fields, limiters, verbose=False)

class sfepy.discrete.dg.limiters.DGLimiter(field, verbose=False)
  name = 'abstract DG limiter'

class sfepy.discrete.dg.limiters.IdentityLimiter(field, verbose=False)

  Neutral limiter returning unchanged solution.

  name = 'identity'

class sfepy.discrete.dg.limiters.MomentLimiter1D(field, verbose=False)

  Moment limiter for 1D based on [1]

  [1]

  Krivodonova (2007): Limiters for high-order discontinuous Galerkin methods

  name = 'moment_1D_limiter'

class sfepy.discrete.dg.limiters.MomentLimiter2D(field, verbose=False)

  Moment limiter for 2D based on [R31316dc91f1d-1] .. [R31316dc91f1d-1] Krivodonova (2007):

  > Limiters for high-order discontinuous Galerkin methods

  name = 'moment_limiter_2D'

sfepy.discrete.dg.limiters.minmod(a, b, c)

  Minmod function of three variables, returns:

  0 , where sign(a) != sign(b) != sign(c)

  min(a,b,c) , elsewhere

  Parameters:
    a array_like
    c array_like
    b array_like
  Returns:
    out ndarray

sfepy.discrete.dg.limiters.minmod_seq(abc)

  Minmod function of n variables, returns:

  0 , where sign(a_1) != sign(a_2) != … != sign(a_n)

  min(a_1, a_2, a_3, … , a_n) , elsewhere

  Parameters:
    abc sequence of array_like
  Returns:
    out ndarray